Downgrading

Discussion in 'iPod touch' started by SkullReaver, Feb 9, 2009.

  1. SkullReaver

    SkullReaver New Member

    Joined:
    Feb 8, 2009
    Messages:
    7
    Likes Received:
    0
    from 2.2.1 to 2.1.1
    ->The iPod "iPod" could not be restored. An unknown error occurred (20)
    any idea why?
  2. Nathan B

    Nathan B Active Member

    Joined:
    Dec 12, 2008
    Messages:
    3,061
    Likes Received:
    0
    Device:
    iPhone 5 (Black)
    Why are you trying to downgrade?
  3. murphmanny

    murphmanny Banned

    Joined:
    Sep 19, 2007
    Messages:
    5,250
    Likes Received:
    3
    Try hooking your iPod up to a USB hub. This could be the deal because your iPod can't go into DFU mode on Leopard 10.5.6.
  4. 1YNQMWQVHZ

    1YNQMWQVHZ Active Member

    Joined:
    Dec 17, 2008
    Messages:
    1,334
    Likes Received:
    0
    Any reason WHY you are downgrading?
  5. CHC

    CHC New Member

    Joined:
    Jan 15, 2009
    Messages:
    53
    Likes Received:
    0
    Device:
    2G iPod touch
    why do you ask why, why not just let him do what he asks? anyways i did this before(now i use 2.2.1) but it gave me an error too so what i did was opened up the ipsw file of the current firmware, corrupt the LLB then restored that firmware, which caused it to fail the signature checks obviously, then i restored the old 2.1.1 and it worked without a problem, i'm sure theres a better way to do it though like in DFU mode or something, but I havn't tried that lol
  6. SiN Altr Ego EL

    SiN Altr Ego EL New Member

    Joined:
    Feb 10, 2008
    Messages:
    905
    Likes Received:
    1
    Device:
    iPad w/ 3G
    we ask y he did it, because there isn't a reason to. maybe he thought that he needed to to jailbreak.... maybe... but u don't need to. just stay at 2.2.1, and jailbreak using that. the only thing u need the 2.1.1 firmware for is to extract the iBSS file out of it... thats it... no need for downgrading

Share This Page